Skip to content
GAMPEONCreate
New project

Report content

POST
/v1/reports
curl --request POST \
--url https://api.gampeon.com/v1/reports \
--header 'Content-Type: application/json' \
--data '{ "resource": "example", "version": "example", "category": "copyright", "explanation": "example", "reporterName": "example", "reporterEmail": "hello@example.com", "goodFaith": true }'

Notice under Art. 16 DSA. Works without an account. The reporting person gets a confirmation and later the decision.

Rate limit: 10 per hour per IP.

Media typeapplication/json
object
resource
required
string
/^[a-z0-9][a-z0-9_\-]{1,47}$/
version
required
string
/^\d+\.\d+\.\d+(-[0-9A-Za-z.\-]+)?$/
category
required
string
Allowed values: copyright trademark illegal_content malware other
explanation
required
string
>= 20 characters <= 5000 characters
reporterName
required
string
>= 2 characters <= 120 characters
reporterEmail
required
string format: email
<= 254 characters
goodFaith
required

Confirms the report is made in good faith

Report received

Media typeapplication/json
object
reportId
required
string
status
required
Allowed value: open

Example

{
"status": "open"
}

Error codes: invalid_field

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: good_faith_confirmation_required

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Limit: 10 per hour per IP. Error codes: rate_limited

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback